library("BRugs") 
modelCheck("DscMriModel.txt") # check model syntax 
modelData("DscMriData.txt") # load data 
modelCompile(numChains=1) # compile 
modelInits("DscMriInits.txt") # load inits 
modelUpdate(5000) # burn in iterations 
samplesSetThin(10)

samplesSet(c("alpha.c", "alphaS", "alphaV", "beta0.c", "beta0S", "beta0V", "beta4.c", "beta4S", "beta4V", "delta.c", "deltaS", "deltaV", "t_shift.c", "t_shiftS", "t_shiftV"))
modelUpdate(50000)

alpha.c.sim <- samplesSample("alpha.c")
parms <- samplesMonitors("alphaS") 
alphaS.sim <- sapply(parms,samplesSample)

parms <- samplesMonitors("alphaV") 
alphaV.sim <- sapply(parms,samplesSample)

beta4.c.sim <- samplesSample("beta4.c") 
parms <- samplesMonitors("beta4S")
beta4S.sim <- sapply(parms,samplesSample)
 
parms <- samplesMonitors("beta4V") 
beta4V.sim <- sapply(parms,samplesSample)

beta0.c.sim <- samplesSample("beta0.c") 
parms <- samplesMonitors("beta0S") 
beta0S.sim <- sapply(parms,samplesSample)

parms <- samplesMonitors("beta0V") 
beta0V.sim <- sapply(parms,samplesSample)

delta.c.sim <- samplesSample("delta.c")
parms <- samplesMonitors("deltaS") 
deltaS.sim <- sapply(parms,samplesSample)

parms <- samplesMonitors("deltaV") 
deltaV.sim <- sapply(parms,samplesSample)

t_shift.c.sim <- samplesSample("t_shift.c") 
parms <- samplesMonitors("t_shiftS") 
t_shiftS.sim <- sapply(parms,samplesSample)

parms <- samplesMonitors("t_shiftV")
t_shiftV.sim <- sapply(parms,samplesSample)


save.image("DscMriModel.Rdata")

